Glad to hear it.

Cheers,

- Tom
On Jul 18, 2013, at 10:21 PM, Jesse Lopez <lopezj@stccmop.org> wrote:


On Thu, Jul 18, 2013 at 7:25 PM, Tom Clune <thomas.l.clune@nasa.gov> wrote:

Hmmm.  We did have to put #ifdef around some of these gfortran limitations, but the current version is building and passing all the tests on my Mac.       Checking 4.7  I do reproduce your error with 4.7, so apparently my memory was wrong that 4.7 would still work.  Sorry about that.  I've not been running the regression tests on the older compilers.

So now the question is whether or not the specific sub-version of 4.8 matters.  What I have installed is:  GNU Fortran (MacPorts gcc48 4.8.1_0).   Using OpenMPI, but I don't think the MPI is what matters.

Good news!  It's working.  It turns out I didn't switch gcc versions when I installed gcc48.  I missed the command:

sudo port select --set gcc mp-gcc48

Once I had the latest and greatest gfortan, the make and tests completed without any problems.  Now I'm in business and I can get busy doing some refactoring.

Thanks,
-Jesse


Thomas Clune, Ph. D.  <Thomas.L.Clune@nasa.gov>
Chief, Software Systems Support Office Code 610.3
NASA GSFC 301-286-4635
MS 610.8 B33-C128 <http://ssso.gsfc.nasa.gov>
Greenbelt, MD 20771